package pathtracing.pbr;

import basics.math.algebra.Vector;
import optics.light.Color;
import pathtracing.Pathtracer;

public class Emissive extends PhysicallyBasedMaterial {

    private final Color emission;
    private final double strength;

    public Emissive(Color emission, double strength) {
        this.emission = emission;
        this.strength = strength;
    }

    @Override
    public Color surfaceColor(Vector normal, Vector incident, Vector intersection, Pathtracer pathtracer, int depth) {
        return emission.scale(strength);
    }
}
